### Enumeration

# Atspi DeviceCapability

since: 2.60

#### Declaration

    flags Atspi.DeviceCapability

#### Description [src]

Enumeration used to query and enable device capabilities.

Available since: 2.60

#### Members

`ATSPI_DEVICE_CAP_KEYBOARD_MONITOR`

  The capability to monitor keystrokes.

  - Value: `1`
  - Available since: 2.60
`ATSPI_DEVICE_CAP_KEYBOARD_SYNTH`

  The capability to synthesize keystrokes.

  - Value: `2`
  - Available since: 2.60
`ATSPI_DEVICE_CAP_KEYBOARD_GRAB`

  The capability to set key grabs.

  - Value: `4`
  - Available since: 2.60
`ATSPI_DEVICE_CAP_POINTER_MONITOR`

  The capability to monitor the location of the pointer.

  - Value: `8`
  - Available since: 2.60
`ATSPI_DEVICE_CAP_POINTER_SYNTH`

  The capability to synthesize pointer motion.

  - Value: `16`
  - Available since: 2.60
`ATSPI_DEVICE_CAP_TOUCH_MONITOR`

  The capability to monitor touch presses.

  - Value: `32`
  - Available since: 2.60
`ATSPI_DEVICE_CAP_TOUCH_SYNTH`

  The capability to synthesize touch events.

  - Value: `64`
  - Available since: 2.60